From 2a545e9e949ca1daad6f724ceaaae20ce281d5a6 Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Tue, 12 Jun 2018 15:31:39 +0300
Subject: [PATCH 2/4] Move GROUP BY planning code from planner.c to separate
 file, aggpath.c

---
 src/backend/optimizer/path/Makefile  |    4 +-
 src/backend/optimizer/path/aggpath.c | 1967 ++++++++++++
 src/backend/optimizer/plan/Makefile  |    4 +-
 src/backend/optimizer/plan/planner.c | 5420 +++++++++++-----------------------
 src/include/nodes/relation.h         |   19 +
 src/include/optimizer/paths.h        |   13 +
 src/include/optimizer/planmain.h     |    1 +
 src/include/optimizer/planner.h      |    2 +
 8 files changed, 3741 insertions(+), 3689 deletions(-)
 create mode 100644 src/backend/optimizer/path/aggpath.c

diff --git a/src/backend/optimizer/path/Makefile b/src/backend/optimizer/path/Makefile
index 6864a62132..21216a621d 100644
--- a/src/backend/optimizer/path/Makefile
+++ b/src/backend/optimizer/path/Makefile
@@ -12,7 +12,7 @@ subdir = src/backend/optimizer/path
 top_builddir = ../../../..
 include $(top_builddir)/src/Makefile.global
 
-OBJS = allpaths.o clausesel.o costsize.o equivclass.o indxpath.o \
-       joinpath.o joinrels.o pathkeys.o tidpath.o
+OBJS = aggpath.o allpaths.o clausesel.o costsize.o equivclass.o \
+       indxpath.o joinpath.o joinrels.o pathkeys.o tidpath.o
 
 include $(top_srcdir)/src/backend/common.mk
